"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.evmNetworkChainToEvmChainId = exports.evmChainIdToNetworkChainPair = void 0;
const connect_sdk_1 = require("@wormhole-foundation/connect-sdk");
const networkChainEvmCIdEntries = [
    [
        'Mainnet',
        [
            ['Acala', 787n],
            ['Arbitrum', 42161n],
            ['Aurora', 1313161554n],
            ['Avalanche', 43114n],
            ['Base', 8453n],
            ['Bsc', 56n],
            ['Celo', 42220n],
            ['Ethereum', 1n],
            ['Fantom', 250n],
            ['Gnosis', 100n],
            ['Karura', 686n],
            ['Klaytn', 8217n],
            ['Moonbeam', 1284n],
            ['Neon', 245022934n],
            ['Oasis', 42262n],
            ['Optimism', 10n],
            ['Polygon', 137n],
            ['Rootstock', 30n],
            ['Sepolia', 0n],
            // TODO: forced to add this to match other list
        ],
    ],
    [
        'Testnet',
        [
            ['Acala', 597n],
            ['Arbitrum', 421613n],
            ['Aurora', 1313161555n],
            ['Avalanche', 43113n],
            ['Base', 84531n],
            ['Bsc', 97n],
            ['Celo', 44787n],
            ['Ethereum', 5n],
            ['Fantom', 4002n],
            ['Gnosis', 10200n],
            ['Karura', 596n],
            ['Klaytn', 1001n],
            ['Moonbeam', 1287n],
            ['Neon', 245022940n],
            ['Oasis', 42261n],
            ['Optimism', 420n],
            ['Polygon', 80001n],
            ['Rootstock', 31n],
            ['Sepolia', 11155111n], //actually just another ethereum testnet...
        ],
    ],
    ['Devnet', [['Bsc', 1397n]]],
];
exports.evmChainIdToNetworkChainPair = (0, connect_sdk_1.constMap)(networkChainEvmCIdEntries, [2, [0, 1]]);
exports.evmNetworkChainToEvmChainId = (0, connect_sdk_1.constMap)(networkChainEvmCIdEntries);
//# sourceMappingURL=constants.js.map