import { ChainName, TxHash, WormholeMessageId, ChainsConfig, Network, TokenBridge, AutomaticTokenBridge, CircleBridge, AutomaticCircleBridge, WormholeCore, ProtocolName } from '@wormhole-foundation/connect-sdk';
import { ethers } from 'ethers';
import { EvmChain } from './chain';
import { EvmUtils } from './platformUtils';
/**
 * @category EVM
 */
export declare module EvmPlatform {
    const platform = "Evm";
    let network: Network;
    let conf: ChainsConfig;
    type Type = typeof platform;
    const nativeTokenId: typeof EvmUtils.nativeTokenId, isNativeTokenId: typeof EvmUtils.isNativeTokenId, isSupportedChain: typeof EvmUtils.isSupportedChain, getDecimals: typeof EvmUtils.getDecimals, getBalance: typeof EvmUtils.getBalance, getBalances: typeof EvmUtils.getBalances, sendWait: typeof EvmUtils.sendWait, getCurrentBlock: typeof EvmUtils.getCurrentBlock, chainFromChainId: typeof EvmUtils.chainFromChainId, chainFromRpc: typeof EvmUtils.chainFromRpc, getTokenImplementation: typeof EvmUtils.getTokenImplementation;
    function setConfig(_network: Network, _conf?: ChainsConfig): typeof EvmPlatform;
    function getRpc(chain: ChainName): ethers.Provider;
    function getChain(chain: ChainName): EvmChain;
    function getProtocol<P extends ProtocolName>(protocol: P): Promise<any>;
    function getWormholeCore(rpc: ethers.Provider): Promise<WormholeCore<'Evm'>>;
    function getTokenBridge(rpc: ethers.Provider): Promise<TokenBridge<'Evm'>>;
    function getAutomaticTokenBridge(rpc: ethers.Provider): Promise<AutomaticTokenBridge<'Evm'>>;
    function getCircleBridge(rpc: ethers.Provider): Promise<CircleBridge<'Evm'>>;
    function getAutomaticCircleBridge(rpc: ethers.Provider): Promise<AutomaticCircleBridge<'Evm'>>;
    function parseTransaction(chain: ChainName, rpc: ethers.Provider, txid: TxHash): Promise<WormholeMessageId[]>;
}
//# sourceMappingURL=platform.d.ts.map