import { ChainName, TokenId, TxHash, SignedTx, Network, PlatformToChains, Balances } from '@wormhole-foundation/connect-sdk';
import * as ethers_contracts from './ethers-contracts';
import { Provider } from 'ethers';
import { EvmPlatform } from './platform';
import { AnyEvmAddress } from './types';
/**
 * @category EVM
 */
export declare module EvmUtils {
    function nativeTokenId(chain: ChainName): TokenId;
    function isSupportedChain(chain: ChainName): boolean;
    function isNativeTokenId(chain: ChainName, tokenId: TokenId): boolean;
    function getDecimals(chain: ChainName, rpc: Provider, token: AnyEvmAddress | 'native'): Promise<bigint>;
    function getBalance(chain: ChainName, rpc: Provider, walletAddr: string, token: AnyEvmAddress | 'native'): Promise<bigint | null>;
    function getBalances(chain: ChainName, rpc: Provider, walletAddr: string, tokens: (AnyEvmAddress | 'native')[]): Promise<Balances>;
    function sendWait(chain: ChainName, rpc: Provider, stxns: SignedTx[]): Promise<TxHash[]>;
    function getCurrentBlock(rpc: Provider): Promise<number>;
    function chainFromChainId(eip155ChainId: string): [Network, PlatformToChains<EvmPlatform.Type>];
    function chainFromRpc(rpc: Provider): Promise<[Network, PlatformToChains<EvmPlatform.Type>]>;
    function getTokenImplementation(connection: Provider, address: string): ethers_contracts.TokenImplementation;
}
//# sourceMappingURL=platformUtils.d.ts.map